/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package GUI;

import java.awt.Graphics;
import java.awt.Image;

/**
 *
 * @author A.M. Bosch, S080431
 */
public class TrumpView extends javax.swing.JPanel {
    CardImage cardImage = CardImage.getCardImage();
    Image trumpImage;

    /**
     * Sets the trump image.
     * @param card Sets the trump image the the suit of the card
     */
    public void setTrump(Game.Card card ){
        trumpImage = cardImage.getImageBySuit(card);
        repaint();
    }

    /**
     * Sets the trump image.
     * @param suit Sets the trump image to this suit
     */
    public void setTrump(Game.Card.Suit suit){
        trumpImage = cardImage.getImageBySuit(suit);
        repaint();
    }
    @Override
    public void paintComponent(Graphics g){
        super.paintComponent(g);
        g.drawImage(trumpImage, 0, 0, this);
        }
}
