%This is comment.
%playerHas(1,'DIAMONDS','QUEEN') means:
%There is a schema (playerNumber, Suit, Rank)
%For which there is an instance (1,'DIAMONDS','QUEEN')
playerHas(1,'DIAMONDS','QUEEN').
playerHas(1,'SPADES','QUEEN').
playerHas(1,'CLUBS','QUEEN').
playerHas(1,'HEARTS','QUEEN').

%This means flush contains all possible values for which it holds that:
flush(A) :-
	%there is an instance (A, 'DIAMONDS', C)
	playerHas(A, 'DIAMONDS', C),
	%there is an instance (A, 'SPADES', C)
	playerHas(A, 'SPADES', C),
	%there is an instance (A, 'CLUBS', C)
	playerHas(A, 'CLUBS', C),
	%there is an instance (A, 'HEATS', C)
	playerHas(A, 'HEARTS', C).
%Such that all A's and C's are the same.
%(A might als well be Aapjes and B be Banaantjes.
%The only condition is that variables start with a capital letter.
