/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Heuristics;

import Game.Card;
import Game.Hand;
import Game.Pile;
import Game.Trick;
import Game.Virtual;
import Rules.Rules;
import java.util.Random;

/**
 *
 * @author Jordi en Perry
 */
public class Heuristics{

    private Virtual virtual;

    public Heuristics(Virtual virtual){
        this.virtual = virtual;
    }

    public void startMatch(){
    }

    public void startGame(Card.Suit trump)
    {
        //ProLog.startGame(trump);
    }

    public void startTrick(Trick trick){
        //ProLog.startTrick(trick, virtual.getPlayerNumber());
    }

    public void endTrick(Trick trick){
        //ProLog.endTrick(trick);
    }

    public Card.Suit chooseTrump(Hand playerHand, Card.Suit trump){
        Pile playableCards;

        playableCards = playerHand.getCardBySuitExcept(trump);

        return playableCards.getCard((new Random()).nextInt(playableCards.getCardCount())).getSuit();
    }

    //TODO make prolog select a card from the cards that are allowed to play. Check for a good card and if none is found, just select one random
    public Card playCard(Trick trick, Card.Suit trump, Hand playerHand, int position) {
        //return ProLog.playCard(position, virtual.getPlayerNumber(), playerHand, trick);

        Pile playableCards;
        
        playableCards = (new Rules()).getPlayableCards(trick, trump, playerHand, position);

        return playableCards.getCard((new Random()).nextInt(playableCards.getCardCount()));
    }

    public boolean playOrPass(int position, Hand playerHand, Card.Suit trump) {
        return false;
    }

    public boolean callHonour(int futurePosition, Hand playerHand, Card.Suit trump, int currentScore, int currentHonour, int possibleHonour) {
        //TODO do some stuff with prolog
        return true; // temp solution
    }
}
